/*
7SegLed.c: Control the 5-digit 7-segment LED.
  
Compiler: BC++ 3.1, 
          Turbo C++ 1.01(3.01) (free from http://cc.codegear.com/free/cpp)

Compile mode: Large

Project: Client.c
         ..\lib\7186el.Lib
         ..\lib\tcp_dm32.lib
         ..\lib\FW_nnnnn.LIB
         
Hordware: uPAC-7186EX

[Nov 04, 2008] by Liam
*/

#include<conio.h>
#include<stdio.h>
#include "..\lib\7186e.h"
#include "..\lib\Tcpip32.h"
#include "..\lib\MFW.h"

void XS_UserInit(int argc,char *argv[])
{
    void UserLoop(void);
    char version[20];

    InitLib();

    XS_GetVersion(version);
    Print("[X-Server library]: version=%s ", version);
    XS_GetLibDate(version);
    Print("date=%s\r\n", version);
    GetTcpipLibDate(version);
    Print("Tcpip library version:%X, Library Date is %s\r\n", GetTcpipLibVer(), version);

    XS_AddSystemLoopFun(UserLoop); 
}

void XS_UserEnd(void)
{
}

void UserLoop(void)
{ 
    int i, j;
    int data;
  
    for(i=1; i<6; i++){
        for(j=1; j<6; j++){
            if(i!=j)
            Show5DigitLed(j,16);  //when pos is lighted, others space(off)
        }
      
        //Show any segment of the 5-Digit Led
        Show5DigitLed(i, i);
        // if you want the 7-segment led shown with the dot, use the following:
        // Show5DigitLedWithDot(4, 0xA);
      
        Delay(500);               //delay 500ms            
    }
    
    if(Kbhit()){                                      
        data=Getch();             
        if(data=='q' || data=='Q')
            QuitMain=1;              
    }
}

void main(int argc,char *argv[])
{
    XS_main(argc,argv); /* call the XS library main function. */
}

